davidfricker/restapi 问题修复 & 功能扩展

解决BUG、新增功能、兼容多环境部署,快速响应你的开发需求

邮箱:yvsm@zunyunkeji.com | QQ:316430983 | 微信:yvsm316

davidfricker/restapi

Composer 安装命令:

composer require davidfricker/restapi

包简介

Simple OOP MVC PHP REST API Framework

README 文档

README

That's a lot of acronyms.

NB: This is a draft document

There is nothing especially ground breaking about this API Framework. It was born from my second year computer science project and has evolved and been re-thought into what you see before you today.

It's key selling point is how lightweight and simple to use, extend and understand it is.

How does it work?

Put simply, the framework will route requests to the correct controller and model. It will do this by analysing request URI for the controller name and the request type (be it POST, PUT, GET, etc.). It will then do some sanity checks, before initialising a new controller and model object and calling the correct method on the controller.

How do I add an end point?

You must create a new controller, in the controllers folder. This new controller must extend AbstractController. In addition, you must also create a corresponding model and place it in the models folder. The new model must extend AbstractController.

How do I add resource?

Let us take the example of an API that exposes the account email address for update. We would expect it to be formatted in the following way, PUT /accounts/email. To create this one must first create an accounts controller and model. the controller must then declare a method in the following format public function put_email(){}. inside this method the developer can then access the request object from the controller object itself $this->request->get_parameter('new_address');. Since this endpoint will likely (hopefully) require authentication a call to the member function is_authorised should be performed.

Important info

Included is a .htaccess file. It simply redirects all requests to the index file. if you are not running apache as your webserver you will need to redirect all traffic to /index.php/$1 where $1 is the rest of the URI.

davidfricker/restapi 适用场景与选型建议

davidfricker/restapi 是一款 基于 PHP 开发的 Composer 扩展包,目前已累计 37 次下载、GitHub Stars 达 1, 最近一次更新时间为 2017 年 02 月 19 日, 在 PHP 生态内属于活跃度较高的组件。

我们在过去多个企业项目中使用过 davidfricker/restapi 或与其功能相近的方案,如果你在选型或落地过程中遇到问题,例如 版本兼容、二次改造、私有化封装、与内部系统对接、生产 BUG 排查,欢迎联系我们协助评估。

围绕 davidfricker/restapi 我们能提供哪些服务?
定制开发 / 二次开发

基于 davidfricker/restapi 在你已有业务上做功能扩展、字段裁剪、UI 适配、与内部账号 / 权限 / 日志系统的深度对接。

BUG 修复 & 性能优化

线上偶发问题、内存泄漏、慢查询、并发异常等排查修复;针对高流量场景做缓存、队列、索引层面的调优。

项目外包 & 长期维护

承接完整的项目从需求 → 设计 → 开发 → 上线 → 长期运维;也可按月提供技术保姆服务。

yvsm@zunyunkeji.com QQ:316430983 微信:yvsm316 西安尊云信息科技 · 专注 PHP / Go / 分布式系统研发

统计信息

  • 总下载量: 37
  • 月度下载量: 0
  • 日度下载量: 0
  • 收藏数: 1
  • 点击次数: 6
  • 依赖项目数: 0
  • 推荐数: 0

GitHub 信息

  • Stars: 1
  • Watchers: 1
  • Forks: 1
  • 开发语言: PHP

其他信息

  • 授权协议: MIT
  • 更新时间: 2017-02-19